Differences between revisions 1 and 2
Revision 1 as of 2012-02-01 22:21:10
Size: 2713
Comment: Initial french version
Revision 2 as of 2013-02-17 14:26:21
Size: 2768
Comment: gallicize some links
Deletions are marked like this. Additions are marked like this.
Line 4: Line 4:
DebianPackage > dpkg [[fr/DebianPackage|Paquets Debian]] > dpkg
Line 8: Line 8:
Avec l'instruction dpkg --set-selections, vous pouvez choisir les paquets que vous souhaiter installer ou supprimer, opération qui sera réalisée la prochaine fois que utiliserez la commande [[apt-get]] dist-upgrade. Avec l'instruction dpkg --set-selections, vous pouvez choisir les paquets que vous souhaiter installer ou supprimer, opération qui sera réalisée la prochaine fois que utiliserez la commande [[fr/apt-get|apt-get]] dist-upgrade.
Line 14: Line 14:
dpkg vérifie les dépendances et se refuse à installer un paquet dont les dépendances ne sont pas satisfaites ; cependant, il ne vous aidera pas à les trouver ni à les installer. Pour cela, vous aurez besoin d'un outil de haut niveau (par exemple [[dselect]] ou [[apt-get]]). dpkg vérifie les dépendances et se refuse à installer un paquet dont les dépendances ne sont pas satisfaites ; cependant, il ne vous aidera pas à les trouver ni à les installer. Pour cela, vous aurez besoin d'un outil de haut niveau (par exemple [[dselect]] ou [[fr/apt-get|apt-get]]).
Line 36: Line 36:
 * [[apt-get]]  * [[fr/apt-get|apt-get]]

Translation(s): English - Français - Italiano - 한국어(Korean)

(!) ?Discussion


Paquets Debian > dpkg


dpkg est un gestionnaire de paquets de moyen niveau pour Debian

Avec l'instruction dpkg --set-selections, vous pouvez choisir les paquets que vous souhaiter installer ou supprimer, opération qui sera réalisée la prochaine fois que utiliserez la commande apt-get dist-upgrade.

Pourquoi "de niveau moyen" ?

Parce qu'il repose sur dpkg-deb, qui exécute, sur les paquets binaires .deb (binary), des actions de plus bas niveau, comme la lecture des informations de contrôle ou l'extraction directe des fichiers qu'ils contiennent.

dpkg vérifie les dépendances et se refuse à installer un paquet dont les dépendances ne sont pas satisfaites ; cependant, il ne vous aidera pas à les trouver ni à les installer. Pour cela, vous aurez besoin d'un outil de haut niveau (par exemple dselect ou apt-get).

Messages d'erreur

E: Could not open lock file /var/lib/dpkg/lock - open (13 Permission denied)

Il existe une tentative d'exécuter plus d'un processus de gestion de paquets

Cette erreur peut survenir si on tente d'exécuter plus d'un processus de gestion de paquets. Par exemple, si on installe ou supprime un paquet avec apt-get ou dselect, il sera impossible d'exécuter un autre outil de gestion de paquets jusqu'à ce que ces modifications de paquet soient achevées.

Un utilisateur non-root essaye d'ajouter ou de retirer des paquets

Cette erreur peut aussi survenir si un utilisateur qui ne bénéficie pas des droits de super-utilisateur (non-root) essaye d'ajouter ou de retirer des paquets ou de changer des informations sur le statut d'un paquet dans la base des données des paquets.

E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Un utilisateur non-root essaye d'ajouter ou de retirer des paquets

Cette erreur peut survenir si un utilisateur qui ne bénéficie pas des droits de super-utilisateur (non-root) essaye d'ajouter ou de retirer des paquets ou de changer des informations sur le statut d'un paquet dans la base des données des paquets.

Voir aussi


CategoryQuickPackageManagement | CategoryPackageManagement